OsmoGSMTester - Bug #2458

ofono: status=registered signal sent to ofono users before being attached
08/23/2017 09:11 AM - pespin
Category:

Target version:

Spec Reference:

Description

ofono signals to its users that a modem is attached before receiving first "Location Update Accept”, that is before being really
attached. This is a source of problems for our tests as we need to know reliably whether the modem is attached or not. We should try
to fix this as soon as possible because it's making us lose a lot of time with errors in tests and preventing us to add new tests to the
default suite.

Issues detected so far:

- If a test tries to send a USSD code immediately after receiving the "registered” signal, it will fail because modem is still not really
attached.

- If a test tries to validate that with auth/encryption in the network and with a bad KI it will be rejected, we still see the
status="registered" signal sometimes until it is finally rejected.

Related issues:

Related to OsmoGSMTester - Bug #2511: ofono: check all services for simple us... New 09/12/2017
Blocks OsmoGSMTester - Bug #2239: ofono: USSD is not implemented for any modem Closed 05/05/2017
Blocked by OsmoGSMTester - Bug #2576: include journal log “journalctl -o shor... Closed 10/16/2017
History

#1 - 08/23/2017 09:11 AM - pespin
- Blocks Bug #2239: ofono: USSD is not implemented for any modem added

#2 - 08/23/2017 09:12 AM - pespin

- Blocks Feature #2457: osmo-gsm-tester: add test case: validate "encryption" & "authentication” vty parameter added

#3 - 08/25/2017 04:35 PM - pespin

- Blocks deleted (Feature #2457: osmo-gsm-tester: add test case: validate "encryption” & "authentication” vty parameter )

#4 - 10/10/2017 09:16 AM - pespin

- Related to Bug #2511: ofono: check all services for simple use before register race condition added

#5-10/17/2017 11:19 AM - pespin
- Status changed from New to Stalled

Blocked until we have journalctl automativcally logged in artifacts + change the LAC.

#6 - 10/17/2017 11:19 AM - pespin
- Blocked by Bug #2576: include journal log ‘journalctl -o short-precise’ to the test output added

#7 - 11/07/2017 03:49 PM - lynxis

- Assignee changed from lynxis to pespin

#8 - 01/04/2018 11:09 AM - laforge
- Priority changed from High to Normal

#9 - 03/12/2018 10:02 AM - pespin

- Status changed from Stalled to Resolved

Situation seems good after we moved to using a different LAC for each test.
